/**
 * @file
 * Wizard Swtup for module auto-configuration
 */

if (typeof CPPluginWizard !== 'object') CPPluginWizard = {};

CPPluginWizard.serverip = "";
CPPluginWizard.callback = function(keys) {

  if(keys.PRIVATE_KEY && keys.PUBLIC_KEY) {
    document.getElementById("edit-cryptophoto-publickey").value = keys.PUBLIC_KEY;
    document.getElementById("edit-cryptophoto-privatekey").value = keys.PRIVATE_KEY;
    if (!!!document.getElementById("edit-cryptophoto-salt").value) {
      document.getElementById("edit-cryptophoto-salt").value = guid();
    }
  }
};

function guid() {
  var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split(''); 
  var uuid = new Array(36), rnd=0, r;
  for (var i = 0; i < 36; i++) {
    if (i==8 || i==13 ||  i==18 || i==23) {
      uuid[i] = '';
    } else if (i==14) {
      uuid[i] = '4';
    } else {
      if (rnd <= 0x02) rnd = 0x2000000 + (Math.random()*0x1000000)|0;
      r = rnd & 0xf;
      rnd = rnd >> 4;
      uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
    }
  }
  return uuid.join('');
}

function add_script (a) {
  var b = document.createElement("script");
  b.type = "text/javascript";
  b.src = a;
  document.body.appendChild(b);
}

var server = document.getElementById("edit-cryptophoto-host").value;
if(server.indexOf("http") > -1) {
  add_script(server+"/api/plugin/config.js");
} else {
  document.getElementById("edit-cryptophoto-host").value = "https://cryptophoto.com";
  add_script("https://cryptophoto.com/api/plugin/config.js");
}